// 导入 calculateRank 函数
// import { calculateRank } from './c.js'; // js不支持es6语法
const { calculateRank } = require('./c.js'); // 替换为实际文件路径

// 定义输入参数对象
const params = {
    all_commits: true, // 示例值，可以是 true 或 false
    commits: 19000,      // 示例提交次数
    prs: 778,           // 示例 PR 数量
    issues: 15,        // 示例问题数量
    reviews: 50,        // 示例评审数量
    repos: 1,         // 示例仓库数量（未使用）
    stars: 71000,        // 示例星标数量
    followers: 12000      // 示例关注者数量
};

// 调用 calculateRank 函数
const result = calculateRank(params);

// 输出结果
console.log(`Level: ${result.level}`);
console.log(`Percentile: ${result.percentile}`);
